/*
 * BlackView.m
 * 6/29/98 Mike Trent
 *
 * Basic black screen saver. Functionally the same as Black.BackSpace, but re-implemented for
 * completeness. Also, we're avoiding all direct PS calls here.
 */

#import "BlackView.h"

@implementation BlackView

- (void)drawRect:(NSRect)rects
{
    [[NSColor blackColor] set];
    NSRectFill(rects);
}

- (void)oneStep
{
    // do nothing.
}

- (NSTimeInterval)animationDelayTime
{
    return 1.0;
}

- (NSView *)inspector:sender
{
    if (!sharedInspectorPanel) {
        [NSBundle loadNibNamed:@"Black.nib" owner:self];
    }

    return sharedInspectorPanel;
}

@end
