/* FrameRateMeter.m created by mtrent on Wed 16-Sep-1998 */

#import "FrameRateMeter.h"

#define kMeterLength	30
#define kGreenInterval	10
#define kYellowInterval	10
#define kRedInterval	10


void drawFrameRateMeter(int frames, BOOL erase)
{
    static NSRect list[kMeterLength];
    static BOOL init = YES;
    static oldframes = 0;
    
    NSRect *l;

    if (init) {
        NSRect r = {{1,1},{4,10}};
        int i;
        for (i = 0; i < kMeterLength; i++) {
            list[i] = r;
            r.origin.x += 6;
        }
        init = NO;
    }

    if (frames >= kMeterLength) {
//        NSLog(@"frames = %d", frames);
        frames = kMeterLength - 1;
    }

    if (frames < 0) {
//        NSLog(@"frames < 0");
        frames = 0;
    }

    // draw green
    l = &list[0];
    [[NSColor greenColor] set];
    NSRectFillList(l, (frames > kGreenInterval) ? kGreenInterval : frames);

    // draw yellow
    if (frames > 10) {
        l = &list[kGreenInterval];
        [[NSColor yellowColor] set];
        NSRectFillList(l, ((frames - kGreenInterval) > kYellowInterval) ? kYellowInterval : (frames - kGreenInterval));
    }
    
    // draw red
    if (frames > (kGreenInterval + kYellowInterval)) {
        l = &list[(kGreenInterval + kYellowInterval)];
        [[NSColor redColor] set];
        NSRectFillList(l, ((frames - (kGreenInterval + kYellowInterval)) > kRedInterval) ? kRedInterval : (frames - (kGreenInterval + kYellowInterval)));
    }

    // draw black if we are in an unbuffered window
    if (erase) {
        if (oldframes > frames) {
            [[NSColor blackColor] set];
            l = &list[frames];
            NSRectFillList(l, oldframes-frames);

        }
    }

    oldframes = frames;
}