#import <AppKit/AppKit.h>

#define kMaxStars 800
#define kMaxRectRedraw 100 // # of rects to redraw at a time.
#define kMaxColors 5       // kMaxColors should be an integer root of both kMaxStars and kMaxRectRedraw

struct Star {
    float theta;
    float costheta, sintheta;
    float distance;
    float d,dd;

    int changeIndex;
    float changeList[7];

    NSPoint drawpt,erasept;
};
typedef struct Star Star;

@interface FreeSpaceView : NSView
{
    id colorBtn;
    id sharedInspectorPanel;
    id speedSlider;
    id speedText;
    id starsSlider;
    id starsText;

    int speed, stars;
    BOOL color;
    
    Star starList[kMaxStars];
    NSRect drawRectList[kMaxStars];
    NSRect eraseRectList[kMaxStars];
    int drawRects;
    //int eraseRects;
    float radius;
    NSColor *colors[kMaxColors];
    int starsMultiplier;
}
- (void)colorSet:(id)sender;
- (void)speedSet:(id)sender;
- (void)starsSet:(id)sender;

- (BOOL)useBufferedWindow;
- (id)initWithFrame:(NSRect)frameRect loadInspectorPanel:(BOOL)loadPanel;
- (void)loadDefaults;
- (NSView *)inspector:sender;

- (void)oneStep;
- (void)moveStars:(BOOL)prepDrawing;
- (void)drawStars;
- (void)replaceStar:(int)index;
- (void)seedImage;


@end

@interface StaticFreeSpaceView : FreeSpaceView
{
}
@end
