#import <AppKit/AppKit.h>

@interface MessagesView : NSView
{
    id setTextBtn;
    id sharedInspectorPanel;
    id speedSlider;
    id speedText;
    id styleMenu;
    id textField;
    id textWindow;

    NSString *styleStr;
    int	style;
    int speed;
    NSString *text;

    NSImage *image;
    NSPoint pos,d;
    NSDate *timer;
}
- (void)speedSet:(id)sender;
- (void)styleSet:(id)sender;
- (void)textSet:(id)sender;

- (BOOL)useBufferedWindow;
- (id)initWithFrame:(NSRect)frameRect loadInspectorPanel:(BOOL)loadPanel;
- (void)loadDefaults;
- (NSView *)inspector:sender;

- (void)oneStep;
- (void)willExitScreenSaverMode;
- (void)createTextImage:(NSRect)bounds;
- (void)textDidBeginEditing:(NSNotification *)aNotification;

- (NSPoint)randomPointForSize:(NSSize)ssize within:(NSRect)bounds;
- (NSCell *)cellForString:(id)str color:(NSColor *)color font:(NSFont *)font wrap:(BOOL)wrap;
- (NSColor *)randomColor;
- (NSFont *)randomFont;
- (float)randomFontSize;

@end

@interface StaticMessagesView : MessagesView
{
}
@end