/*
 * NSScreen+areaFrame.m
 * 6/23/98 Mike Trent
 *
 * A nice little category extension to NSScreen to get the area of the entire multi-monitor desktop.
 * Really more of an experiment than anything.
 */

#import "NSScreen+areaFrame.h"

@implementation NSScreen (areaFrame)

/* areaFrame
 * returns the rect encompassing the entire visual region available to the machine. Specifically,
 * it takes into account all of the monitors available, not just the main screen
 */
+ (NSRect)areaFrame
{
    NSEnumerator	*en;
    NSScreen		*screen;
    NSRect 		r = NSMakeRect(0,0,0,0);

    en = [[NSScreen screens] objectEnumerator];
    while (screen = [en nextObject]) r = NSUnionRect(r, [screen frame]);

    return r;
}

@end
