#import <AppKit/AppKit.h>
#import "AppController.h"
#import "ModuleView.h"

@interface RandomizerView : NSView
{
    id sharedInspectorPanel;
    id table;

    RandomizerAppController	*appController;
    RandomizerModuleView	*module;
    NSMutableDictionary		*modules;
    NSArray			*sortedModuleNames;
    NSMutableArray		*skipList;
    NSImage			*check;

    BOOL debug;
}
- (void)getModuleList;
- (void)setRandomModule;
- (void)loadDefaults;

- (void)oneStep;
- (NSTimeInterval)animationDelayTime;
- (void)didLockFocus;
- (NSView *)inspector:(id)sender;
- (BOOL)useBufferedWindow;
- (BOOL)ignoreMouseMovement;
- (void)willEnterScreenSaverMode;
- (void)enteredScreenSaverMode;
- (void)willExitScreenSaverMode;
- (BOOL)useMultipleMonitors;

- (int)numberOfRowsInTableView:(NSTableView *)view;
- (id)tableView:(NSTableView *)view objectValueForTableColumn:(NSTableColumn *)theColumn row:(int)rowIndex;
- (id)doubleClick:(id)sender;

@end

@interface StaticRandomizerView : NSView
{
}

@end
