#import <AppKit/AppKit.h>

#define kMaxSpots 9

struct SpotRect {
    NSRect  rect;
    NSPoint vector;
};
typedef struct SpotRect SpotRect;

@interface SpotLightView : NSView
{
    id sharedInspectorPanel;
    id sizeSlider;
    id sizeText;
    id speedSlider;
    id speedText;
    id spotSlider;
    id spotText;
    id transparentBox;

    int size;
    int speed;
    BOOL transparent;
    SpotRect	spots[kMaxSpots];
    int		numSpots;
    NSImage	*buffer;
    NSRect	spotRect;
    NSDate	*timer;
    int		midx, midy;
}
- (void)sizeSet:(id)sender;
- (void)speedSet:(id)sender;
- (void)spotSet:(id)sender;
- (void)transparentSet:(id)sender;

- (id)initWithFrame:(NSRect)frameRect loadInspectorPanel:(BOOL)loadPanel;
- (void)setSpotList:(NSRect)r;
- (void)loadDefaults;
- (NSView *)inspector:sender;
- (void)oneStep;
- (void)drawSpot:(int)num;
- (void)moveSpot:(int)num;
- (NSPoint)randomPointForSize:(NSSize)size within:(NSRect)bounds;
- (void)enteredScreenSaverMode;
- (void)loadBuffer;

@end

@interface StaticSpotLightView : SpotLightView
{
}
@end
